/***********************************************************\
Copyright (C) James Boer, 2002. 
All rights reserved worldwide.

This software is provided "as is" without express or implied
warranties. You may freely copy and compile this source into
applications you distribute provided that the copyright text
below is included in the resulting source code, for example:
"Portions Copyright (C) James Boer, 2002"
\***********************************************************/
#if !defined(AFX_CDAUDIO_H__B705D579_F2EC_4E52_AA8D_E2FD74E33F11__INCLUDED_)
#define AFX_CDAUDIO_H__B705D579_F2EC_4E52_AA8D_E2FD74E33F11__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CDAudio.h : header file
//

class CAudioTestDlg;

/////////////////////////////////////////////////////////////////////////////
// CCDAudio dialog

class CCDAudio : public CPropertyPage
{
	DECLARE_DYNCREATE(CCDAudio)

// Construction
public:
	CCDAudio();
	~CCDAudio();

// Dialog Data
	//{{AFX_DATA(CCDAudio)
	enum { IDD = IDD_PROPPAGE_CDAUDIO };
	CButton	m_Looping;
	CSpinButtonCtrl	m_TrackNumber;
	CButton	m_Stop;
	CButton	m_Pause;
	CButton	m_Play;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CCDAudio)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual LRESULT WindowProc(UINT message, WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

public:
	CAudioTestDlg*	m_pTestDlg;
// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CCDAudio)
	virtual BOOL OnInitDialog();
	afx_msg void OnDestroy();
	afx_msg void OnInitPlayer();
	afx_msg void OnTermPlayer();
	afx_msg void OnPlayCD();
	afx_msg void OnPauseCD();
	afx_msg void OnStopCD();
	afx_msg void OnCheckCdLooping();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	HICON m_hPlayIcon;
	HICON m_hPauseIcon;
	HICON m_hStopIcon;

	bool m_bInit;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CDAUDIO_H__B705D579_F2EC_4E52_AA8D_E2FD74E33F11__INCLUDED_)
