/***********************************************************\
Copyright (C) James Boer, 2002. 
All rights reserved worldwide.

This software is provided "as is" without express or implied
warranties. You may freely copy and compile this source into
applications you distribute provided that the copyright text
below is included in the resulting source code, for example:
"Portions Copyright (C) James Boer, 2002"
\***********************************************************/
#if !defined(AFX_MUSICSCRIPT_H__67E6AD96_EBDE_41BD_A6FD_3F7F8FE788AF__INCLUDED_)
#define AFX_MUSICSCRIPT_H__67E6AD96_EBDE_41BD_A6FD_3F7F8FE788AF__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// MusicScript.h : header file
//

class CAudioTestDlg;

/////////////////////////////////////////////////////////////////////////////
// CMusicScript dialog

class CMusicScript : public CPropertyPage
{
	DECLARE_DYNCREATE(CMusicScript)

// Construction
public:
	CMusicScript();
	~CMusicScript();

// Dialog Data
	//{{AFX_DATA(CMusicScript)
	enum { IDD = IDD_PROPPAGE_MUSICSCRIPT };
	CListBox	m_ThemeList;
	CButton	m_Stop;
	CButton	m_Play;
	CButton	m_Pause;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CMusicScript)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

public:
	void UpdateControls();
	void ClearList();
	CAudioTestDlg*	m_pTestDlg;

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CMusicScript)
	virtual BOOL OnInitDialog();
	afx_msg void OnDestroy();
	afx_msg void OnMSInitialize();
	afx_msg void OnPlayMS();
	afx_msg void OnPauseMS();
	afx_msg void OnStopMS();
	afx_msg void OnUnloadMS();
	afx_msg void OnDblclkListMsSounds();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	HICON m_hPlayIcon;
	HICON m_hPauseIcon;
	HICON m_hStopIcon;

	bool m_bInit;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MUSICSCRIPT_H__67E6AD96_EBDE_41BD_A6FD_3F7F8FE788AF__INCLUDED_)
