/***********************************************************\
Copyright (C) James Boer, 2002. 
All rights reserved worldwide.

This software is provided "as is" without express or implied
warranties. You may freely copy and compile this source into
applications you distribute provided that the copyright text
below is included in the resulting source code, for example:
"Portions Copyright (C) James Boer, 2002"
\***********************************************************/
#if !defined(AFX_SOUNDOPEN_H__5CAE5B27_5A8B_4654_9529_C8E26EE1274A__INCLUDED_)
#define AFX_SOUNDOPEN_H__5CAE5B27_5A8B_4654_9529_C8E26EE1274A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// SoundOpen.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CSoundOpen dialog

class CSoundOpen : public CFileDialog
{
	DECLARE_DYNAMIC(CSoundOpen)

public:
	CSoundOpen(BOOL bOpenFileDialog, // TRUE for FileOpen, FALSE for FileSaveAs
		LPCTSTR lpszDefExt = NULL,
		LPCTSTR lpszFileName = NULL,
		DWORD dwFlags = OFN_HIDEREADONLY | OFN_OVERWRITEPROMPT,
		LPCTSTR lpszFilter = "Sound Files (.wav;.mp3;.ogg;.wma)|*.wav;*.mp3;*.ogg;*.wma|All Files (*.*)|*.*||",
		CWnd* pParentWnd = NULL);
	virtual ~CSoundOpen();

	bool m_bStreaming;
	bool m_bLooping;
	bool m_bMusic;
	virtual BOOL OnFileNameOK();

protected:
	//{{AFX_MSG(CSoundOpen)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SOUNDOPEN_H__5CAE5B27_5A8B_4654_9529_C8E26EE1274A__INCLUDED_)
