#if !defined(AFX_EAXLISTENER_H__F69D8566_0A1D_482E_B31A_7A37A04C60A5__INCLUDED_)
#define AFX_EAXLISTENER_H__F69D8566_0A1D_482E_B31A_7A37A04C60A5__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// EAXListener.h : header file
//
#include "Audio.h"

class CAudioTestDlg;

/////////////////////////////////////////////////////////////////////////////
// CEAXListener dialog

class CEAXListener : public CDialog
{
// Construction
public:
	CEAXListener(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CEAXListener)
	enum { IDD = IDD_EAX_LISTENER };
	CSliderCtrl	m_SliderRoomVolumeHF;
	CSliderCtrl	m_SliderRoomVolume;
	CSliderCtrl	m_SliderRoomRolloffFactor;
	CSliderCtrl	m_SliderReverbVolume;
	CSliderCtrl	m_SliderReverbDelay;
	CSliderCtrl	m_SliderReflectionsVolume;
	CSliderCtrl	m_SliderReflectionsDelay;
	CSliderCtrl	m_SliderEnvironmentSize;
	CSliderCtrl	m_SliderDiffusion;
	CSliderCtrl	m_SliderDecayTime;
	CSliderCtrl	m_SliderDecayHFRatio;
	CSliderCtrl	m_SliderAirAbsorptionHF;
	CEdit	m_EditRoomVolumeHF;
	CEdit	m_EditRoomVolume;
	CEdit	m_EditRoomRolloffFactor;
	CEdit	m_EditReverbVolume;
	CEdit	m_EditReverbDelay;
	CEdit	m_EditReflectionsVolume;
	CEdit	m_EditReflectionsDelay;
	CEdit	m_EditEnvironmentSize;
	CEdit	m_EditDiffusion;
	CEdit	m_EditDecayTime;
	CEdit	m_EditDecayHFRatio;
	CEdit	m_EditAirAbsorptionHF;
	CButton	m_CheckScaleReverbVolume;
	CButton	m_CheckScaleReverbDelay;
	CButton	m_CheckScaleReflectionsVolume;
	CButton	m_CheckScaleReflectionsDelay;
	CButton	m_CheckScaleDecayTime;
	CButton	m_CheckDecayHFLimit;
	CComboBox	m_ComboEnvironmentPreset;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CEAXListener)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void PostNcDestroy();
	//}}AFX_VIRTUAL

public:
	CAudioTestDlg*	m_pTestDlg;
	void UpdateControls();

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CEAXListener)
	virtual void OnOK();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	virtual BOOL OnInitDialog();
	afx_msg void OnCheckScaleDecayTime();
	afx_msg void OnCheckScaleReflectionsVolume();
	afx_msg void OnCheckScaleReflectionsDelay();
	afx_msg void OnCheckScaleReverbVolume();
	afx_msg void OnCheckScaleReverbDelay();
	afx_msg void OnCheckDecayHFLimit();
	afx_msg void OnSelchangeComboEnvironmentPreset();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:

	Audio::EAXListenerProps	m_Props;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EAXLISTENER_H__F69D8566_0A1D_482E_B31A_7A37A04C60A5__INCLUDED_)
