/***********************************************************\
Copyright (C) James Boer, 2002. 
All rights reserved worldwide.

This software is provided "as is" without express or implied
warranties. You may freely copy and compile this source into
applications you distribute provided that the copyright text
below is included in the resulting source code, for example:
"Portions Copyright (C) James Boer, 2002"
\***********************************************************/
#if !defined(AFX_LISTENER_H__D3BF7B9A_C3AF_42DF_8371_FE17BAD5EC05__INCLUDED_)
#define AFX_LISTENER_H__D3BF7B9A_C3AF_42DF_8371_FE17BAD5EC05__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// Listener.h : header file
//
#include "Audio.h"

class CAudioTestDlg;

class Audio::IListener;


/////////////////////////////////////////////////////////////////////////////
// CListener dialog

class CListener : public CPropertyPage
{
	DECLARE_DYNCREATE(CListener)

// Construction
public:
	CListener();
	~CListener();

// Dialog Data
	//{{AFX_DATA(CListener)
	enum { IDD = IDD_PROPPAGE_LISTENER };
	CSliderCtrl	m_ZPos;
	CSliderCtrl	m_YPos;
	CSliderCtrl	m_XPos;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CListener)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

public:
	CAudioTestDlg*	m_pTestDlg;
// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CListener)
	virtual BOOL OnInitDialog();
	afx_msg void OnDestroy();
	afx_msg void OnListenerEAX();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	Audio::IListener*	m_pListener;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_LISTENER_H__D3BF7B9A_C3AF_42DF_8371_FE17BAD5EC05__INCLUDED_)
