/***********************************************************\
Copyright (C) James Boer, 2002. 
All rights reserved worldwide.

This software is provided "as is" without express or implied
warranties. You may freely copy and compile this source into
applications you distribute provided that the copyright text
below is included in the resulting source code, for example:
"Portions Copyright (C) James Boer, 2002"
\***********************************************************/
#if !defined(AFX_SOUND2D_H__FA65F78A_EC26_49C4_924E_BE17042AE5C6__INCLUDED_)
#define AFX_SOUND2D_H__FA65F78A_EC26_49C4_924E_BE17042AE5C6__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// Sound2D.h : header file
//

class CAudioTestDlg;

/////////////////////////////////////////////////////////////////////////////
// CSound2D dialog

class CSound2D : public CPropertyPage
{
	DECLARE_DYNCREATE(CSound2D)

// Construction
public:
	CSound2D();
	~CSound2D();

// Dialog Data
	//{{AFX_DATA(CSound2D)
	enum { IDD = IDD_PROPPAGE_2DSOUND };
	CSliderCtrl	m_Cursor;
	CSliderCtrl	m_Pitch;
	CSliderCtrl	m_Pan;
	CSliderCtrl	m_Volume;
	CButton	m_Pause;
	CButton	m_Stop;
	CButton	m_Play;
	CListBox	m_2DSounds;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CSound2D)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL
public:
	void UpdateControls();
	void ClearList();
	CAudioTestDlg*	m_pTestDlg;
// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CSound2D)
	virtual BOOL OnInitDialog();
	afx_msg void OnLoad2d();
	afx_msg void OnUnload2d();
	afx_msg void OnPlay();
	afx_msg void OnPause();
	afx_msg void OnStop();
	afx_msg void On2dInitialze();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnSelChangeList2dSounds();
	afx_msg void On2dDelete();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnDestroy();
	afx_msg void OnDblclkList2dsounds();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	HICON m_hPlayIcon;
	HICON m_hPauseIcon;
	HICON m_hStopIcon;

	UINT m_nCursorTimer;

	bool m_bInit;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SOUND2D_H__FA65F78A_EC26_49C4_924E_BE17042AE5C6__INCLUDED_)
