/***********************************************************\
Copyright (C) James Boer, 2002. 
All rights reserved worldwide.

This software is provided "as is" without express or implied
warranties. You may freely copy and compile this source into
applications you distribute provided that the copyright text
below is included in the resulting source code, for example:
"Portions Copyright (C) James Boer, 2002"
\***********************************************************/
#if !defined(AFX_SOUNDSCRIPT_H__412ADC3A_3B0F_42C8_81B6_6341981CD28A__INCLUDED_)
#define AFX_SOUNDSCRIPT_H__412ADC3A_3B0F_42C8_81B6_6341981CD28A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CSoundScript.h : header file
//

class CAudioTestDlg;

/////////////////////////////////////////////////////////////////////////////
// SoundScript dialog

class CSoundScript : public CPropertyPage
{
	DECLARE_DYNCREATE(CSoundScript)

// Construction
public:
	CSoundScript();
	~CSoundScript();

// Dialog Data
	//{{AFX_DATA(CSoundScript)
	enum { IDD = IDD_PROPPAGE_SOUNDSCRIPT };
	CSliderCtrl	m_Volume;
	CListBox	m_SoundScapes;
	CButton	m_Pause;
	CButton	m_Stop;
	CButton	m_Play;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(SoundScript)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

public:
	void UpdateControls();
	void ClearList();
	CAudioTestDlg*	m_pTestDlg;
// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CSoundScript)
	virtual BOOL OnInitDialog();
	afx_msg void OnSSInitialize();
	afx_msg void OnSSDelete();
	afx_msg void OnLoadSS();
	afx_msg void OnUnloadSS();
	afx_msg void OnPlaySS();
	afx_msg void OnPauseSS();
	afx_msg void OnStopSS();
	afx_msg void OnDestroy();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnSelchangeListSSSounds();
	afx_msg void OnDblclkListSsSounds();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	HICON m_hPlayIcon;
	HICON m_hPauseIcon;
	HICON m_hStopIcon;

	bool m_bInit;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SOUNDSCRIPT_H__412ADC3A_3B0F_42C8_81B6_6341981CD28A__INCLUDED_)
