#if !defined(AFX_ZOOMFX_H__F4CEC8DE_8A0A_448A_B816_402DE3F27C13__INCLUDED_)
#define AFX_ZOOMFX_H__F4CEC8DE_8A0A_448A_B816_402DE3F27C13__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ZoomFX.h : header file
//

#include "Audio.h"

class CAudioTestDlg;

/////////////////////////////////////////////////////////////////////////////
// CZoomFX dialog

class CZoomFX : public CDialog
{
// Construction
public:
	CZoomFX(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CZoomFX)
	enum { IDD = IDD_ZOOMFX };
	CSpinButtonCtrl	m_MacroFX;
	CEdit	m_TopZ;
	CEdit	m_TopY;
	CEdit	m_TopX;
	CEdit	m_MinZ;
	CEdit	m_MinY;
	CEdit	m_MinX;
	CEdit	m_MaxZ;
	CEdit	m_MaxY;
	CEdit	m_MaxX;
	CEdit	m_FrontZ;
	CEdit	m_FrontY;
	CEdit	m_FrontX;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CZoomFX)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void PostNcDestroy();
	//}}AFX_VIRTUAL

public:
	CAudioTestDlg*		m_pTestDlg;
	void UpdateControls();

// Implementation
protected:
	bool				m_bInit;
	Audio::ZoomFXProps	m_Props;
	// Generated message map functions
	//{{AFX_MSG(CZoomFX)
	virtual void OnOK();
	virtual BOOL OnInitDialog();
	afx_msg void OnChangeEditMacroFx();
	afx_msg void OnChangeEditZoomfxMinX();
	afx_msg void OnChangeEditZoomfxMinY();
	afx_msg void OnChangeEditZoomfxMinZ();
	afx_msg void OnChangeEditZoomfxMaxX();
	afx_msg void OnChangeEditZoomfxMaxY();
	afx_msg void OnChangeEditZoomfxMaxZ();
	afx_msg void OnChangeEditZoomfxFrontX();
	afx_msg void OnChangeEditZoomfxFrontY();
	afx_msg void OnChangeEditZoomfxFrontZ();
	afx_msg void OnChangeEditZoomfxTopX();
	afx_msg void OnChangeEditZoomfxTopY();
	afx_msg void OnChangeEditZoomfxTopZ();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ZOOMFX_H__F4CEC8DE_8A0A_448A_B816_402DE3F27C13__INCLUDED_)
